> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/infrastructure/avd/host-pool/status.md).

# Status

## List

> Retrieves a list of AVD Host Pools status information.\<br />

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/AVD/HostPool/status":{"get":{"tags":["0-Infrastructure/AVD/Host Pool//Status"],"summary":"List","description":"Retrieves a list of AVD Host Pools status information.<br />","operationId":"ebad4f09-46bd-43fe-bcb7-a7fc54d2d35c","parameters":[{"name":"SiteId","in":"query","description":"The site ID for which to retrieve all the AVD Host Pool status information (optional)","schema":{"type":"integer","format":"int32"}},{"name":"Name","in":"query","description":"Filter the result by host pool name (optional)","schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AVDHostPoolStatus"}}}}},"400":{"description":"Bad Request","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"AVDHostPoolStatus":{"type":"object","properties":{"id":{"type":"string","description":"<para type=\"description\">ID of RAS Agent.</para>","nullable":true},"siteId":{"type":"integer","description":"<para type=\"description\">ID of Site.</para>","format":"int32"},"serverType":{"$ref":"#/components/schemas/RASServerType"},"name":{"type":"string","description":"<para type=\"description\">AVD Host Pool name.</para>","nullable":true},"agentState":{"$ref":"#/components/schemas/AgentState"},"brokenReason":{"$ref":"#/components/schemas/AVDBrokenReason"}},"additionalProperties":false,"description":"<para type=\"synopsis\">AVD Host Pool Status</para>\r\n<para type=\"description\"></para>"},"RASServerType":{"enum":[["1 = RDSHost","2 = Provider","3 = Gateway","4 = Guest","7 = Broker","9 = Site","10 = VDIHostPool","16 = RDSGroup","25 = HALBDevice","45 = TenantBroker","46 = Enrollment","51 = HALB","64 = AVDWorkspace","65 = AVDHostPool","66 = AVDTemplate","67 = AVDHost","95 = VDITemplateVersion","96 = AVDTemplateVersion","97 = RDSTemplateVersion","107 = RDSTemplate","108 = VDITemplate","2013 = VDIHost","-1 = All"]],"type":"string","description":"<para type=\"synopsis\">RAS Status Type</para>\r\n<para type=\"description\"></para>","format":"int32"},"AgentState":{"enum":[["0 = OK","1 = EnumSessionsFailed","2 = RDSRoleDisabled","3 = MaxNonCompletedSessions","4 = RASScheduleInProgress","5 = ConnectionFailed","6 = InvalidCredentials","7 = NeedsSysprep","8 = SysPrepInProgress","9 = CloningFailed","10 = Synchronising","13 = LogonDrainUntilRestart","14 = LogonDrain","15 = LogonDisabled","16 = ForcedDisconnect","17 = CloningCanceled","18 = RASprepInProgress","20 = InstallingRDSRole","21 = RebootPending","22 = PortMismatch","23 = NeedsDowngrade","24 = NotApplied","25 = CloningInProgress","26 = MarkedForDeletion","27 = StandBy","28 = UnsupportedVDIType","29 = FreeESXLicenseNotSupported","30 = ManagedESXNotSupported","32 = InvalidHostVersion","33 = NotJoined","35 = LicenseExpired","36 = JoinBroken","37 = InUse","38 = NotInUse","39 = Unsupported","40 = NoAvailableGateways","41 = EnrollServerNotInitialized","42 = EnrollmentUnavailable","43 = InvalidCAConfig","44 = InvalidEAUserCredentials","45 = InvalidESSettings","46 = FSLogixNotAvail","47 = NoDevices","48 = NeedsAttention","49 = ImageOptimizationPending","50 = ImageOptimization","51 = Unavailable","52 = UnderConstruction","53 = Broken","54 = NonRAS","55 = Provisioning","56 = Invalid","57 = FSLogixNeedsUpdate","58 = NoMembersAvailable","59 = MembersNeedUpdate","60 = FailedPerfCounters","61 = PendingRecreation","62 = RemovingMembers","63 = AddingMembers","64 = DeleteInProgress","65 = RestrictedAddress","66 = JoiningToHostPool","67 = AutoUpgradeInProgress","68 = AutoUpgradeInitiated","69 = ReplicaMigrationInProgress","70 = InvalidRegistrationCertificate","1006 = AzureStateInstallGuestAgent","-8 = AutoUpgradeLimitReached","-7 = AutoUpgradeFailed","-6 = Unknown","-5 = NeedsUpdate","-4 = NotVerified","-3 = ServerDeleted","-2 = DisabledFromSettings","-1 = Disconnected"]],"type":"string","description":"<para type=\"synopsis\">Agent State</para>\r\n<para type=\"description\"></para>","format":"int32"},"AVDBrokenReason":{"enum":[["0 = MissingObj","1 = InvalidTags","2 = MissingDAGObj","3 = InvalidDAGTags","4 = MissingDAGRoles","5 = MissingDAGWorkspaceLink","6 = HostpoolAutomaticAssignment","7 = MissingRAGObj","8 = InvalidRAGTags","9 = MissingRAGRoles","10 = MissingRAGWorkspaceLink","11 = MissingRAGRemoteApp","12 = MissingObjectID","-1 = Ignore"]],"type":"string","description":"<para type=\"synopsis\">AVD Broken Reason</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Get

> Retrieve the AVD Host Pool status information.\<br />

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/AVD/HostPool/{id}/status":{"get":{"tags":["0-Infrastructure/AVD/Host Pool//Status"],"summary":"Get","description":"Retrieve the AVD Host Pool status information.<br />","operationId":"312f1fd3-1f02-4b7e-b3f2-c7b2347fc6be","parameters":[{"name":"id","in":"path","description":"AVD Host Pool ID","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/AVDHostPoolStatus"}}}},"400":{"description":"Bad Request","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"AVDHostPoolStatus":{"type":"object","properties":{"id":{"type":"string","description":"<para type=\"description\">ID of RAS Agent.</para>","nullable":true},"siteId":{"type":"integer","description":"<para type=\"description\">ID of Site.</para>","format":"int32"},"serverType":{"$ref":"#/components/schemas/RASServerType"},"name":{"type":"string","description":"<para type=\"description\">AVD Host Pool name.</para>","nullable":true},"agentState":{"$ref":"#/components/schemas/AgentState"},"brokenReason":{"$ref":"#/components/schemas/AVDBrokenReason"}},"additionalProperties":false,"description":"<para type=\"synopsis\">AVD Host Pool Status</para>\r\n<para type=\"description\"></para>"},"RASServerType":{"enum":[["1 = RDSHost","2 = Provider","3 = Gateway","4 = Guest","7 = Broker","9 = Site","10 = VDIHostPool","16 = RDSGroup","25 = HALBDevice","45 = TenantBroker","46 = Enrollment","51 = HALB","64 = AVDWorkspace","65 = AVDHostPool","66 = AVDTemplate","67 = AVDHost","95 = VDITemplateVersion","96 = AVDTemplateVersion","97 = RDSTemplateVersion","107 = RDSTemplate","108 = VDITemplate","2013 = VDIHost","-1 = All"]],"type":"string","description":"<para type=\"synopsis\">RAS Status Type</para>\r\n<para type=\"description\"></para>","format":"int32"},"AgentState":{"enum":[["0 = OK","1 = EnumSessionsFailed","2 = RDSRoleDisabled","3 = MaxNonCompletedSessions","4 = RASScheduleInProgress","5 = ConnectionFailed","6 = InvalidCredentials","7 = NeedsSysprep","8 = SysPrepInProgress","9 = CloningFailed","10 = Synchronising","13 = LogonDrainUntilRestart","14 = LogonDrain","15 = LogonDisabled","16 = ForcedDisconnect","17 = CloningCanceled","18 = RASprepInProgress","20 = InstallingRDSRole","21 = RebootPending","22 = PortMismatch","23 = NeedsDowngrade","24 = NotApplied","25 = CloningInProgress","26 = MarkedForDeletion","27 = StandBy","28 = UnsupportedVDIType","29 = FreeESXLicenseNotSupported","30 = ManagedESXNotSupported","32 = InvalidHostVersion","33 = NotJoined","35 = LicenseExpired","36 = JoinBroken","37 = InUse","38 = NotInUse","39 = Unsupported","40 = NoAvailableGateways","41 = EnrollServerNotInitialized","42 = EnrollmentUnavailable","43 = InvalidCAConfig","44 = InvalidEAUserCredentials","45 = InvalidESSettings","46 = FSLogixNotAvail","47 = NoDevices","48 = NeedsAttention","49 = ImageOptimizationPending","50 = ImageOptimization","51 = Unavailable","52 = UnderConstruction","53 = Broken","54 = NonRAS","55 = Provisioning","56 = Invalid","57 = FSLogixNeedsUpdate","58 = NoMembersAvailable","59 = MembersNeedUpdate","60 = FailedPerfCounters","61 = PendingRecreation","62 = RemovingMembers","63 = AddingMembers","64 = DeleteInProgress","65 = RestrictedAddress","66 = JoiningToHostPool","67 = AutoUpgradeInProgress","68 = AutoUpgradeInitiated","69 = ReplicaMigrationInProgress","70 = InvalidRegistrationCertificate","1006 = AzureStateInstallGuestAgent","-8 = AutoUpgradeLimitReached","-7 = AutoUpgradeFailed","-6 = Unknown","-5 = NeedsUpdate","-4 = NotVerified","-3 = ServerDeleted","-2 = DisabledFromSettings","-1 = Disconnected"]],"type":"string","description":"<para type=\"synopsis\">Agent State</para>\r\n<para type=\"description\"></para>","format":"int32"},"AVDBrokenReason":{"enum":[["0 = MissingObj","1 = InvalidTags","2 = MissingDAGObj","3 = InvalidDAGTags","4 = MissingDAGRoles","5 = MissingDAGWorkspaceLink","6 = HostpoolAutomaticAssignment","7 = MissingRAGObj","8 = InvalidRAGTags","9 = MissingRAGRoles","10 = MissingRAGWorkspaceLink","11 = MissingRAGRemoteApp","12 = MissingObjectID","-1 = Ignore"]],"type":"string","description":"<para type=\"synopsis\">AVD Broken Reason</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/infrastructure/avd/host-pool/status.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
